package tokenservicelogic

import (
	"ark-permission/gen_result/pb/permission"
	"ark-permission/internal/svc"
	"context"
	"github.com/zeromicro/go-zero/core/logx"
)

type GetUserTokensByDeviceIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetUserTokensByDeviceIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetUserTokensByDeviceIdLogic {
	return &GetUserTokensByDeviceIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// GetUserTokensByDeviceId 取得目前所對應的 DeviceID 所存在的 Tokens
func (l *GetUserTokensByDeviceIdLogic) GetUserTokensByDeviceId(in *permission.DoTokenByDeviceIDReq) (*permission.Tokens, error) {

	// ids, err := l.svcCtx.TokenRedisRepo.GetAccessTokensByDeviceID(l.ctx, "")
	// if err != nil {
	// 	return nil, error
	// }

	// tokenIDs := make([]usecase.DeviceToken, 0, len(ids))
	// for _, v := range ids {
	// 	tokenIDs = append(tokenIDs, usecase.DeviceToken{
	// 		DeviceID: v.DeviceID,
	// 		TokenID:  v.TokenID,
	// 	})
	// }
	//
	// return tokenIDs, nil

	return &permission.Tokens{}, nil
}
